<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header();
?>

	<div id="content" class="narrowcolumn">

		<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>
		<div <?php post_class() ?>>
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>

				<div class="entry">
					<?php the_content('阅读全文 &raquo;'); ?>
				</div>

				<p class="postmetadata">
					<span class="meta-data"><?php the_time('Y-m-d') ?><!-- <?php the_time('H:i:s') ?> --></span>
					<!-- <span class="meta-author"><?php the_author() ?></span> -->
					<span class="meta-cats"><?php the_category(', ') ?></span>
					<?php if(function_exists('the_views')) : ?><span class="meta-views"><?php the_views(); ?></span><?php endif; ?>
					<span class="meta-comments"><?php comments_popup_link('0 条评论', '1 条评论', '% 条评论'); ?></span>
					<span class="meta-tags"><?php the_tags('', ', ', ''); ?></span>
					<span class="meta-edit"><?php edit_post_link('编辑', '', ''); ?></span>
				</p>
			</div>

		<?php endwhile; ?>

	<?php if (function_exists('wp_pagenavi')) : ?>
		<div class="navigation">
			<?php wp_pagenavi(); ?>
		</div>
	<?php else : ?>	
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; 较旧文章') ?></div>
			<div class="alignright"><?php previous_posts_link('较新文章 &raquo;') ?></div>
		</div>
	<?php endif; ?>
	
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>Sorry, but there aren't any posts with this date.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>No posts found.</h2>");
		}
		get_search_form();

	endif;
?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
