<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header();
?>

	<div id="content" class="widecolumn">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>

			<div class="entry">
				<?php the_content('<p class="serif">阅读全文 &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>页面: </strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

				<p class="postmetadata">
					<span class="meta-data"><?php the_time('Y-m-d') ?><!-- <?php the_time('H:i:s') ?> --></span>
					<!-- <span class="meta-author"><?php the_author() ?></span> -->
					<span class="meta-cats"><?php the_category(', ') ?></span>
					<?php if(function_exists('the_views')) : ?><span class="meta-views"><?php the_views(); ?></span><?php endif; ?>
					<span class="meta-comments"><?php comments_number('0 条评论', '1 条评论', '% 条评论'); ?></span>
					<span class="meta-tags"><?php the_tags('', ', ', ''); ?></span>
					<span class="meta-edit"><?php edit_post_link('编辑', '', ''); ?></span>
				</p>
			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>对不起, 没有找到.</p>

<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
